#include<bits/stdc++.h>
#define endl '\n'

using namespace std;

void speed()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
}
const int maxv=1e6+10;
int n,k;
int a[maxv];
int p[maxv];
vector<int>v;

void read()
{
    cin>>n>>k;
    int br=0;
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
        if(a[i]==1)br++;
    }
    if(br>=k)cout<<1<<'\n';
    else cout<<0<<'\n';
}
int main()
{
    speed();
    read();

    return 0;
}

